Subject: Re: [PATCH 0/6] fsl-mc: Move fsl_over to device MSI

From: Marc Zyngier <[email-masked]>
Date: Mon, 23 Feb 2026 13:37:11 +0000

On Fri, 20 Feb 2026 15:41:03 +0000,
Ioana Ciornei <[email-masked]> wrote:
> 
> On Wed, Feb 18, 2026 at 01:51:57PM +0000, Marc Zyngier wrote:
> > Over the past few years, I have become increasingly annoyed by this
> > sort of messages in my boot log:
> > 
> > [    0.067861] fsl-mc MSI: ITS@0x100100040000 domain created
> > [    0.073352] fsl-mc MSI: ITS@0x100100060000 domain created
> > [    0.078841] fsl-mc MSI: ITS@0x100100080000 domain created
> > [    0.084328] fsl-mc MSI: ITS@0x1001000a0000 domain created
> > [    0.089815] fsl-mc MSI: ITS@0x1001000c0000 domain created
> > [    0.095303] fsl-mc MSI: ITS@0x1001000e0000 domain created
> > [    0.100792] fsl-mc MSI: ITS@0x100100100000 domain created
> > [    0.106281] fsl-mc MSI: ITS@0x100100120000 domain created
> > 
> > While this is useful on fsl-mc systems, this is completely irrelevant
> > on 99.99999% of the arm64 machines, which know nothing about the
> > Freescale stuff. Including all of my machine -- bar *one*.
> > 
> > Global MSI domains such as the above have been obsoleted for the past
> > two years, but nobody at NXP seems to have got the message.
> 
> I do admit that I wasn't aware that this neeeded work. In the future,
> please let me know of this kind of things and I will do the work.

I guess Thomas did too good a job not breaking fsl-mc when both PCI
and platform MSIs were rewritten, hence you missing on the good stuff!

> 
> > 
> > The obvious solution is to delete some code! While my first port of
> > call would be to just 'git rm -r drivers/bus/fsl-mc' (only kidding!),
> > a less invasive solution is to drag that code into the present times.
> > Which is what this series is doing by converting the whole thing to
> > device MSI, reusing the platform MSI infrastructure instead of
> > duplicating it.
> > 
> > This results in the expected cleanup, and kills the last user of the
> > non-device-MSI stuff on arm64. You're welcome.
> 
> Thanks!
> 
> Tested-by: Ioana Ciornei <[email-masked]> # LX2160ARDB, LS2088ARDB
> Reviewed-by: Ioana Ciornei <[email-masked]>

Thanks for giving it a go.

	M.

-- 
Without deviation from the norm, progress is not possible.